Package gnu.io

## Class NoSuchPortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - gnu.io.NoSuchPortException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NoSuchPortException
      extends java.lang.Exception

  The requested Port does not exist
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoSuchPortException()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### NoSuchPortException

          public NoSuchPortException()